Package org.opensaml.saml.saml1.core

# Interface SubjectConfirmation

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectConfirmationImpl`

public interface SubjectConfirmation extends SAMLObject
Interface to define how a SubjectConfirmation element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<ConfirmationMethod>`
`getConfirmationMethods()`
Get a mutable list of all the ConfirmationMethods.
`KeyInfo`
`getKeyInfo()`
Gets the key information for the subject.
`XMLObject`
`getSubjectConfirmationData()`
Get the SubjectConfirmationData.
`void`
`setKeyInfo(KeyInfo keyInfo)`
Sets the key information for the subject.
`void`
`setSubjectConfirmationData(XMLObject subjectConfirmationData)`
Set the SubjectConfirmationData.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getConfirmationMethods

@Nonnull @Live List<ConfirmationMethod> getConfirmationMethods()
Get a mutable list of all the ConfirmationMethods.

Returns:
  mutable list of ConfirmationMethods.

### setSubjectConfirmationData

void setSubjectConfirmationData(@Nullable XMLObject subjectConfirmationData)
Set the SubjectConfirmationData.

Parameters:
  `subjectConfirmationData` - data to set

### getSubjectConfirmationData

@Nullable XMLObject getSubjectConfirmationData()
Get the SubjectConfirmationData.

Returns:
  the SubjectConfirmationData

### getKeyInfo

@Nullable KeyInfo getKeyInfo()
Gets the key information for the subject.

Returns:
  the key information for the subject

### setKeyInfo

void setKeyInfo(@Nullable KeyInfo keyInfo)
Sets the key information for the subject.

Parameters:
  `keyInfo` - the key information for the subject